// SensAmteoDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CSensAmteoDlg dialog
class CSensAmteoDlg : public CDialog
{
// Construction
public:
	CSensAmteoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SENSAMTEO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	BOOL DestroyWindow();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CListBox m_List;
public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
public:
	//Control unit
	CStatic picBoardLed;
	CStatic picBoardLed2;
	CButton cbPowerOn;

	//DI
	CButton BTN_DI_0;
	CButton BTN_DI_1;
	CButton BTN_DI_2;
	CButton BTN_DI_3;
	CButton BTN_DI_4;
	CButton BTN_DI_5;
	CButton BTN_DI_6;
	CButton BTN_DI_7;

	CButton BTN_DI_STS;

	//DO
	CButton BTN_DO_0;
	CButton BTN_DO_1;
	CButton BTN_DO_2;
	CButton BTN_DO_3;
	CButton BTN_DO_4;
	CButton BTN_DO_5;
	CButton BTN_DO_6;
	CButton BTN_DO_7;

	CButton BTN_DO_OUT_EN;
	CButton BTN_DO_LAMBDA_POWER;

	//AI
	CSliderCtrl SL_AI_0;
	CSliderCtrl SL_AI_1;
	CSliderCtrl SL_AI_2;
	CSliderCtrl SL_AI_3;
	CSliderCtrl SL_AI_4;
	CSliderCtrl SL_AI_5;
	CSliderCtrl SL_AI_6;
	CEdit ED_AI_0;
	CEdit ED_AI_1;
	CEdit ED_AI_2;
	CEdit ED_AI_3;
	CEdit ED_AI_4;
	CEdit ED_AI_5;
	CEdit ED_AI_6;

	//A0
	CSliderCtrl SL_AO_0;
	CEdit ED_AO_0;



	//Sim details
	CSliderCtrl slClutchCurrent;
	CEdit edClutchCurrent;


	//function
	afx_msg void OnBnClickedCbPowerOn();
};
